Update safariVersion to safariVersionString
authormatthew_hanson@apple.com <matthew_hanson@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 30 Oct 2014 20:57:57 +0000 (20:57 +0000)
committermatthew_hanson@apple.com <matthew_hanson@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 30 Oct 2014 20:57:57 +0000 (20:57 +0000)
https://bugs.webkit.org/show_bug.cgi?id=138193

The preceding change updated safariVersion to safariVersionString for the "4 Public Beta" check in OS X 10.5.x,
but it should have also been done for the "4 Public Beta" check in OS X 10.4.x.

Rubber-stamped by David Kilzer.

* Scripts/bisect-builds:
(makeNightlyList):
Compare safariVersionString to a string literal, instead of safariVersion.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@175377 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Tools/ChangeLog
Tools/Scripts/bisect-builds

index eb1a809117087ab322d30dde08528ec67ee69953..2176b41dd40f9a6119565a4fe1fb3028e726b7e6 100644 (file)
@@ -1,3 +1,17 @@
+2014-10-30  Matthew Hanson  <matthew_hanson@apple.com>
+
+        Update safariVersion to safariVersionString
+        https://bugs.webkit.org/show_bug.cgi?id=138193
+
+        The preceding change updated safariVersion to safariVersionString for the "4 Public Beta" check in OS X 10.5.x,
+        but it should have also been done for the "4 Public Beta" check in OS X 10.4.x.
+
+        Rubber-stamped by David Kilzer.
+
+        * Scripts/bisect-builds:
+        (makeNightlyList):
+        Compare safariVersionString to a string literal, instead of safariVersion.
+
 2014-10-30  Rohit Kumar  <kumar.rohit@samsung.com>
 
         [GTK] Minibrowser : Add window fullscreen support for Minibrowser
index 5a0d53401b8e8e61c38a1866aebfe29a9220bd80..cb0de700913816c7b55c8844c237fd60a9249449 100755 (executable)
@@ -363,7 +363,7 @@ sub makeNightlyList($$$$)
             die "Requires Safari 2.0 or newer";
         }
     } elsif ($osxVersion ge v10.4 && $osxVersion lt v10.5) {
-        if ($safariVersion eq "4 Public Beta") {
+        if ($safariVersionString eq "4 Public Beta") {
             @files = grep { $_->{rev} >= 39682 } @files;
         } elsif ($safariVersion ge v3.2) {
             @files = grep { $_->{rev} >= 37348 } @files;